Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 605134 - dev-perl/Crypt-OpenSSL-DSA-0.180.0 with dev-libs/openssl-1.1.0c fails tests - t/00-use.t ............. Can't load '/var/tmp/portage/dev-perl/Crypt-OpenSSL-DSA-0.180.0/work/Crypt-OpenSSL-DSA-0.18/blib/arch/auto/Crypt/OpenSSL/DSA/DSA.so' for module Crypt::O
Summary: dev-perl/Crypt-OpenSSL-DSA-0.180.0 with dev-libs/openssl-1.1.0c fails tests -...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL: https://github.com/kmx/perl-Crypt-Ope...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: openssl-1.1 openssl-1.1_disable-deprecated
  Show dependency tree
 
Reported: 2017-01-09 00:21 UTC by eroen
Modified: 2018-10-24 16:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
dev-perl/Crypt-OpenSSL-DSA-0.180.0:20170109-000050.log (Crypt-OpenSSL-DSA-0.180.0:20170109-000050.log,7.39 KB, text/plain)
2017-01-09 00:21 UTC, eroen
Details
0001-Fix-building-against-openssl-1.1.0-without-compat-mo.patch (0001-Fix-building-against-openssl-1.1.0-without-compat-mo.patch,1.53 KB, patch)
2017-01-09 00:25 UTC, eroen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description eroen 2017-01-09 00:21:35 UTC
Created attachment 459244 [details]
dev-perl/Crypt-OpenSSL-DSA-0.180.0:20170109-000050.log

>>> Test phase: dev-perl/Crypt-OpenSSL-DSA-0.180.0
 * Test::Harness Jobs=1
make test TEST_VERBOSE=0 
Running Mkbootstrap for Crypt::OpenSSL::DSA ()
chmod 644 "DSA.bs"
PERL_DL_NONLAZY=1 "/usr/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/00-use.t ............. Can't load '/var/tmp/portage/dev-perl/Crypt-OpenSSL-DSA-0.180.0/work/Crypt-OpenSSL-DSA-0.18/blib/arch/auto/Crypt/OpenSSL/DSA/DSA.so' for module Crypt::OpenSSL::DSA: /var/tmp/portage/dev-perl/Crypt-OpenSSL-DSA-0.180.0/work/Crypt-OpenSSL-DSA-0.18/blib/arch/auto/Crypt/OpenSSL/DSA/DSA.so: undefined symbol: DSA_generate_parameters at /usr/lib64/perl5/5.24.1/x86_64-linux/DynaLoader.pm line 193.
 at t/00-use.t line 10.
Compilation failed in require at t/00-use.t line 10.
BEGIN failed--compilation aborted at t/00-use.t line 10.
t/00-use.t ............. Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
t/10-selftest.t ........ Can't load '/var/tmp/portage/dev-perl/Crypt-OpenSSL-DSA-0.180.0/work/Crypt-OpenSSL-DSA-0.18/blib/arch/auto/Crypt/OpenSSL/DSA/DSA.so' for module Crypt::OpenSSL::DSA: /var/tmp/portage/dev-perl/Crypt-OpenSSL-DSA-0.180.0/work/Crypt-OpenSSL-DSA-0.18/blib/arch/auto/Crypt/OpenSSL/DSA/DSA.so: undefined symbol: DSA_generate_parameters at /usr/lib64/perl5/5.24.1/x86_64-linux/DynaLoader.pm line 193.
 at t/10-selftest.t line 6.
Compilation failed in require at t/10-selftest.t line 6.
BEGIN failed--compilation aborted at t/10-selftest.t line 6.
t/10-selftest.t ........ Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
t/90-openssl-compat.t .. Can't load '/var/tmp/portage/dev-perl/Crypt-OpenSSL-DSA-0.180.0/work/Crypt-OpenSSL-DSA-0.18/blib/arch/auto/Crypt/OpenSSL/DSA/DSA.so' for module Crypt::OpenSSL::DSA: /var/tmp/portage/dev-perl/Crypt-OpenSSL-DSA-0.180.0/work/Crypt-OpenSSL-DSA-0.18/blib/arch/auto/Crypt/OpenSSL/DSA/DSA.so: undefined symbol: DSA_generate_parameters at /usr/lib64/perl5/5.24.1/x86_64-linux/DynaLoader.pm line 193.
 at t/90-openssl-compat.t line 10.
Compilation failed in require at t/90-openssl-compat.t line 10.
BEGIN failed--compilation aborted at t/90-openssl-compat.t line 10.
t/90-openssl-compat.t .. Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 

Test Summary Report
-------------------
t/00-use.t           (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
t/10-selftest.t      (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
t/90-openssl-compat.t (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
Files=3, Tests=0,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.04 cusr  0.02 csys =  0.09 CPU)
Result: FAIL
Failed 3/3 test programs. 0/0 subtests failed.
make: *** [Makefile:1010: test_dynamic] Error 2
 * ERROR: dev-perl/Crypt-OpenSSL-DSA-0.180.0::gentoo failed (test phase):
 *   emake failed
Comment 1 eroen 2017-01-09 00:25:51 UTC
Created attachment 459246 [details, diff]
0001-Fix-building-against-openssl-1.1.0-without-compat-mo.patch

I have submitted this patch upstream.[0]

0: https://github.com/kmx/perl-Crypt-OpenSSL-DSA/pull/4
Comment 2 eroen 2017-01-10 15:32:40 UTC
(In reply to eroen from comment #1)
> I have submitted this patch upstream.[0]
> 
> 0: https://github.com/kmx/perl-Crypt-OpenSSL-DSA/pull/4

Patch is merged[1] in upstream master.

1: https://github.com/kmx/perl-Crypt-OpenSSL-DSA/commit/66d82ea5e4
Comment 3 Kent Fredric (IRC: kent\n) gentoo-dev 2017-01-18 02:20:15 UTC
Thanks.

Sorry for the delay.

commit cc22695d48f81017b3983fae4e367ebdf2d3cc1e
Author: Kent Fredric <kentnl@gentoo.org>
Date:   Wed Jan 18 15:17:55 2017 +1300

    dev-perl/Crypt-OpenSSL-DSA: Bump to version 0.190.0 re bug #605134
    
    Thanks to eroen, for reporting and submitting the fix upstream.
    
    Upstream:
    - Fix for OpenSSL 1.1.0c without compat mode enabled